--Legal Notice: (C)2007 Altera Corporation. All rights reserved.  Your
--use of Altera Corporation's design tools, logic functions and other
--software and tools, and its AMPP partner logic functions, and any
--output files any of the foregoing (including device programming or
--simulation files), and any associated documentation or information are
--expressly subject to the terms and conditions of the Altera Program
--License Subscription Agreement or other applicable license agreement,
--including, without limitation, that your use is for the sole purpose
--of programming logic devices manufactured by Altera and sold by Altera
--or its authorized distributors.  Please refer to the applicable
--agreement for further details.


-- turn off superfluous VHDL processor warnings 
-- altera message_level Level1 
-- altera message_off 10034 10035 10036 10037 10230 10240 10030 

library altera;
use altera.altera_europa_support_lib.all;

library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_arith.all;
use ieee.std_logic_unsigned.all;

entity LED7_inst is 
        port (
              -- inputs:
                 signal address : IN STD_LOGIC_VECTOR (2 DOWNTO 0);
                 signal chipselect : IN STD_LOGIC;
                 signal clk : IN STD_LOGIC;
                 signal reset_n : IN STD_LOGIC;
                 signal write : IN STD_LOGIC;
                 signal writedata : IN STD_LOGIC_VECTOR (7 DOWNTO 0);

              -- outputs:
                 signal HEX0 : OUT STD_LOGIC_VECTOR (6 DOWNTO 0);
                 signal HEX1 : OUT STD_LOGIC_VECTOR (6 DOWNTO 0);
                 signal HEX2 : OUT STD_LOGIC_VECTOR (6 DOWNTO 0);
                 signal HEX3 : OUT STD_LOGIC_VECTOR (6 DOWNTO 0);
                 signal HEX4 : OUT STD_LOGIC_VECTOR (6 DOWNTO 0)
              );
end entity LED7_inst;


architecture europa of LED7_inst is
component LED7 is 
           port (
                 -- inputs:
                    signal address : IN STD_LOGIC_VECTOR (2 DOWNTO 0);
                    signal chipselect : IN STD_LOGIC;
                    signal clk : IN STD_LOGIC;
                    signal reset_n : IN STD_LOGIC;
                    signal write : IN STD_LOGIC;
                    signal writedata : IN STD_LOGIC_VECTOR (7 DOWNTO 0);

                 -- outputs:
                    signal HEX0 : OUT STD_LOGIC_VECTOR (6 DOWNTO 0);
                    signal HEX1 : OUT STD_LOGIC_VECTOR (6 DOWNTO 0);
                    signal HEX2 : OUT STD_LOGIC_VECTOR (6 DOWNTO 0);
                    signal HEX3 : OUT STD_LOGIC_VECTOR (6 DOWNTO 0);
                    signal HEX4 : OUT STD_LOGIC_VECTOR (6 DOWNTO 0)
                 );
end component LED7;

                signal internal_HEX0 :  STD_LOGIC_VECTOR (6 DOWNTO 0);
                signal internal_HEX1 :  STD_LOGIC_VECTOR (6 DOWNTO 0);
                signal internal_HEX2 :  STD_LOGIC_VECTOR (6 DOWNTO 0);
                signal internal_HEX3 :  STD_LOGIC_VECTOR (6 DOWNTO 0);
                signal internal_HEX4 :  STD_LOGIC_VECTOR (6 DOWNTO 0);

begin

  --the_LED7, which is an e_instance
  the_LED7 : LED7
    port map(
      HEX0 => internal_HEX0,
      HEX1 => internal_HEX1,
      HEX2 => internal_HEX2,
      HEX3 => internal_HEX3,
      HEX4 => internal_HEX4,
      address => address,
      chipselect => chipselect,
      clk => clk,
      reset_n => reset_n,
      write => write,
      writedata => writedata
    );


  --vhdl renameroo for output signals
  HEX0 <= internal_HEX0;
  --vhdl renameroo for output signals
  HEX1 <= internal_HEX1;
  --vhdl renameroo for output signals
  HEX2 <= internal_HEX2;
  --vhdl renameroo for output signals
  HEX3 <= internal_HEX3;
  --vhdl renameroo for output signals
  HEX4 <= internal_HEX4;

end europa;

